/*******************************************************************************
 *   Theme:         Author-it Magellan Theme Override Stylesheet
 *   Author:        Author-it Software Corp (http://www.author-it.com)
 *   Copyright:     Author-it Software Corp, All Rights Reserved
 *   Last Updated:  12-Apr-2020
 *   Version:       2020.R2
 *
 *   IMPORTANT:     This file is where all your customisations and overides should appear.
 *					themestyles.css file into the Data\Templates\Magellan Themes\YourThemeName\ 
 *					then make changes is the variable values below, or for advanced changes 
 *                  find and copy the CSS rules you want to change from mainstyles.css 
 *					into this file, then make your changes.
 *
 *******************************************************************************/

html {
    /* base colors */
    --primary-color: var(--asc-secondary-dark-blue-color);
    /* #231F20; */
    --primary-light-color: #929497;
    --secondary-color: #FE8C00;
    --secondary-light-color: #FFBA6E;
    --dark-gray-color: var(--asc-primary-dark-grey-color);
    /* #404040;*/
    --gray-color: #6C6C6C;
    --medium-gray-color: #AAAAAA;
    --light-gray-color: var(--asc-primary-light-grey-color);
    /* #CECECE;*/

    /* AIT colors */
    --asc-primary-dark-grey-color: #404040;
    --asc-primary-orange-color: #FB9720;
    --asc-primary-light-grey-color: #E6E7E8;
    --asc-primary-dark-blue-color: #004053;
    --asc-primary-turquoise-color: #00B8D1;
    --asc-secondary-light-orange-color: #FFD96D;
    --asc-secondary-grey-color: #AAAAAA;
    --asc-secondary-dark-blue-color: #007285;
    --asc-secondary-light-blue-color: #EBFDFF;


    /* functional colors */
    --background-color: white;
    --landing-bg-color: white;
    --heading-bg-color: white;
    --panel-head-bg-color: var(--asc-primary-light-grey-color);
    --widget-head-bg-color: var(--asc-primary-light-grey-color);
    --footer-bg-color: var(--asc-primary-light-grey-color);
    --content-bg-color: white;
    --control-bg-color: white;
    --button-bg-color: var(--asc-primary-light-grey-color);
    --active-btn-bg-color: var(--primary-light-color);
    --submit-btn-bg-color: var(--primary-color);
    --form-bg-color: white;
    --widget-bg-color: white;
    --text-color: var(--asc-primary-dark-grey-color);
    --title-color: white;
    --title-outline-color: var(--dark-gray-color);
    --footer-text-color: var(--dark-gray-color);
    --heading-text-color: var(--dark-gray-color);
    --panel-head-text-color: var(--dark-gray-color);
    --widget-head-text-color: var(--dark-gray-color);
    --button-text-color: var(--dark-gray-color);
    --active-btn-text-color: var(--dark-gray-color);
    --submit-btn-text-color: white;
    --shadow-color: var(--asc-primary-light-grey-color);
    /* functional elements */
    --border-radius-small: 2px;
    --border-radius-large: 4px;
    --transition-speed: 0.4s;
    /* default icons - FontAwesome */
    --toc-open: '\f0d7';
    --toc-closed: '\f0da';
    --left-pane-open: '\f104';
    --left-pane-closed: '\f105';
    --right-pane-open: '\f105';
    --right-pane-closed: '\f104';
    --widget-open: '\f067';
    --widget-closed: '\f068';
    --breadcrumbs-separator: '\f105';
    --related-menu-closed: '\f104';
    --related-menu-open: '\f105';
    --glossary-link-icon: '\f05a';
    --popup-link-icon: '\f0e5';
    --external-link-icon: '\f08e';
    --expand-inline-open: '\f104';
    --expand-inline-closed: '\f105';
    --expand-block-open: '\f106';
    --expand-block-closed: '\f107';
    /* Fonts */
    --font-families: 'Source Sans Pro', arial, sans-serif;
    font-size: 100%;
}

body {
    font-family: var(--font-families);
    font-weight: 400;
    line-height: 1.5;
    font-size: 1rem;
    color: var(--text-color);
    user-select: none;
}

nav.navbar-default {
    border-radius: 0px;
    background-color: white;
    margin: 0;
    border: 1px ridge;
    z-index: 9;
    min-height: 40px;
    max-width: 100vw;
}

nav.navbar-default::-webkit-scrollbar {
    height: 8px
}

div#navigation-root>ul.nav.navbar-nav>li.dropDownChild>a a, .navbar-default .navbar-nav>li>a{
    color: var(--asc-primary-dark-blue-color) !important;
}

/* Home page title and super title */
.mainpage_block.jumbotron {
    background-color: transparent !important;
    padding: 0;
    margin: 20px 0 20px 0;
}

.mainpage_block.jumbotron>h1 {
    font-family: var(--font-families);
    font-size: 4Rem;
    font-weight: 400;
    text-shadow: none;
}

.mainpage_block.jumbotron>p {
    font-family: var(--font-families);
    font-size: 3Rem;
    font-weight: 400;
    text-shadow: none;
    margin: 0 0 15px 0;
}

@media (max-width: 1120px) {
    .mainpage_block.jumbotron>h1 {
        font-size: 40px;
    }
}

@media (max-width: 800px) {
    .mainpage_block.jumbotron>h1 {
        font-size: 35px;
        padding-bottom: 10px
    }
}

@media (max-width: 700px) {
    .mainpage_block.jumbotron>h1 {
        font-size: 28px;
    }
}

@media (max-width: 600px) {
    .mainpage_block.jumbotron>h1 {
        font-size: 24px;
    }
}

@media (max-width: 1120px) {
    .mainpage_block.jumbotron>p {
        font-size: 20px;
    }
}

@media (max-width: 800px) {
    .mainpage_block.jumbotron>p {
        margin-top: 10px
    }
}

@media (max-width: 700px) {
    .mainpage_block.jumbotron>p {
        font-size: 16px;
        margin-top: 10px
    }
}

.search_block.clearfix {
    margin: 0 auto;
    max-width: 730px;
    align-self: center;
}


/* drop-down menu */
ul.dropdown-menu {
    border: 1px solid var(--light-gray-color);
    border-bottom-left-radius: var(--border-radius-small);
    border-bottom-right-radius: var(--border-radius-small);
    background-color: var(--control-bg-color);
    padding: 5px;
    transition: all 0.4s ease-in-out;
    z-index: 100;
}

.landing_content_box span.specialbold {
    font-family: var(--font-families);
}

.testimonials_header {
    border-radius: var(--border-radius-small);
}

#navigation-root p-menu .ng-trigger {
    overflow: auto;
    max-height: 80vh;
}


/* content page navbar */

.navbar-default .navbar-nav>li>a {
    font-size: 1rem;
    color: var(--asc-primary-dark-blue-color) !important;
        margin: 5px 0px 5px 0px;
}

/* Colour of navbar arrows */
.navbar-arrow > span{
    color: var(--asc-primary-dark-blue-color);
}

/* size adjustments for images in rotator items*/
.testimonials_header p>div img {
    max-height: 100px;
}

/* height adjustments for rotator items on small screens*/
@media (max-width: 992px) {
    .testimonials_header {
        max-height: 350px;
        min-height: 250px;
        overflow: hidden;
        height: auto;
    }
}

.landing_content_box h3 {
    margin: 0;
    padding: 10px;
    font-size: 1rem;
    font-weight: 600;
    background-color: white;
    color: var(--panel-head-text-color);
    text-align: center;
}

.landing_content_box p.bodytextcentered {
    text-align: center !important;
}

.landing_content_box div {
    text-align: center !important;
}

.landing_content_box p.list {
    text-align: left;
    text-indent: 50px;
}

.landing_content_box ul.listbullet2 {
    display: inline-block;
    text-align: left;
    font-family: var(--font-families);
    color: var(--asc-dark-gray-color);
}

.landing_content_box #l_134841 p.list {
    text-indent: 60px;
    Margin: 15px 0px 0px 0px;
}

.landing_content_box #l_134842 p.list {
    text-indent: 88px;
    Margin: 15px 0px 0px 0px;
}

.landing_content_box #l_134869 p.list {
    text-indent: 80px;
    Margin: 15px 0px 0px 0px;
}

.landing_content_box #l_134868 p.list {
    text-indent: 85px;
    Margin: 15px 0px 0px 0px;
}

li.listbullet,
p.listbullet,
li.listbullet2,
p.listbullet2,
li.listbullet3,
p.listbullet3 {
    font-family: var(--font-families) !important;
    color: var(--asc-dark-gray-color) !important;
    ;

}

.table>td {
    background-color: var(--asc-secondary-grey-color);
}

header#desktop>div.container-fluid>div.row {
    background-color: var(--light-gray-color);
}

#menusection>div.panel-footer .menu_bot_btn.active,
#menusection>div.panel-footer .menu_bot_btn:hover,
#menusection>div.panel-footer .menu_bot_btn.active:hover,
#menusection>div.panel-footer .menu_bot_btn.active:focus {
    background-color: transparent;
    border: 1px solid var(--asc-primary-turquoise-color);
    color: var(--asc-primary-turquoise-color);
}

.btn.active.focus,
.btn.active:focus,
.btn.focus,
.btn:active.focus,
.btn:active:focus,
.btn:focus {
    outline: 0;
}

/* HIDE NAV ICONS */
/* Help popup */
ul.top_icons>li:nth-child(4),
ul.m_top_icons>li.m_top_config {
    display: none !important;
}

/*mobile view kebab menu */
ul.m_top_icons>li.m_top_ellipses {
    display: none !important;
}

/*HIDE RIGHT MENU*/
/* section.content_block>div.right_block {
    display: none !important;
} */

#menusection>div.panel-footer .menu_bot_btn {
    border: 1px solid var(--asc-primary-turquoise-color);
    background-color: var(--asc-primary-turquoise-color);
    color: white;
}

/*LANDING PAGE FOOTERS*/
.footer {
    z-index: 1;
}

/* margins for footer pages*/
.footer-item {
    margin: 18pt 20px 0 20px;
}

/*Scrollbars*/

::-webkit-scrollbar {
    width: 9px;
}

::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px #fff;
    background:var(--medium-gray-color);
}

/*#region FORMS - contains styles for forms and controls */

/* heading of search results */
#shortened_search_result>div td span {
    font-size: 1rem;
    font-weight: 600;
}

/* heading/link of search results */
#shortened_search_result>div td a {
    font-size: inherit;
    font-weight: normal;
}

/*#endregion FORMS */

/*scrollbars for all dropdown menus*/

ul.dropdown-menu {
    overflow-y: auto;
}